com.genesyslab.wfm7.API.service.config720

## Class CfgActivityHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgActivityHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivityHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgActivityHolder contains response for request to load Activity information (`CfgActivity` or `CfgActivityShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgActivitySetShort[]` | `activitySetInfo` An array containing short information of all Activity Sets that returned Activities belong to.
    `private int` | `activitySetInfoNSizeIs` Number of elements in activitySetInfo array
    `private CfgActivity[]` | `objectArray` An array of `CfgActivity`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `private int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `private int[]` | `objectIDArray` An array of Activity IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `private int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `private CfgActivityShort[]` | `objectShortArray` An array of `CfgActivityShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `private int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private long` | `timestamp` A timestamp value -- marks time point when response information was returned
    `private CfgVirtualActivityShort[]` | `virtualActivityInfo` An array containing short information of all Mult-Site Activities that returned Activities belong to.
    `private int` | `virtualActivityInfoNSizeIs` Number of elements in virtualActivityInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivityHolder()`
    `CfgActivityHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgActivity[] objectArray, int objectShortArrayNSizeIs, CfgActivityShort[] objectShortArray, int activitySetInfoNSizeIs, CfgActivitySetShort[] activitySetInfo, int virtualActivityInfoNSizeIs, CfgVirtualActivityShort[] virtualActivityInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgActivitySetShort[]` | `getActivitySetInfo()` Gets the activitySetInfo value for this CfgActivityHolder.
    `int` | `getActivitySetInfoNSizeIs()` Gets the activitySetInfoNSizeIs value for this CfgActivityHolder.
    `CfgActivity[]` | `getObjectArray()` Gets the objectArray value for this CfgActivityHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgActivityHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgActivityHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgActivityHolder.
    `CfgActivityShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgActivityHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgActivityHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgActivityHolder.
    `CfgVirtualActivityShort[]` | `getVirtualActivityInfo()` Gets the virtualActivityInfo value for this CfgActivityHolder.
    `int` | `getVirtualActivityInfoNSizeIs()` Gets the virtualActivityInfoNSizeIs value for this CfgActivityHolder.
    `int` | `hashCode()`
    `void` | `setActivitySetInfo(CfgActivitySetShort[] activitySetInfo)` Sets the activitySetInfo value for this CfgActivityHolder.
    `void` | `setActivitySetInfoNSizeIs(int activitySetInfoNSizeIs)` Sets the activitySetInfoNSizeIs value for this CfgActivityHolder.
    `void` | `setObjectArray(CfgActivity[] objectArray)` Sets the objectArray value for this CfgActivityHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgActivityHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgActivityHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgActivityHolder.
    `void` | `setObjectShortArray(CfgActivityShort[] objectShortArray)` Sets the objectShortArray value for this CfgActivityHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgActivityHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgActivityHolder.
    `void` | `setVirtualActivityInfo(CfgVirtualActivityShort[] virtualActivityInfo)` Sets the virtualActivityInfo value for this CfgActivityHolder.
    `void` | `setVirtualActivityInfoNSizeIs(int virtualActivityInfoNSizeIs)` Sets the virtualActivityInfoNSizeIs value for this CfgActivityHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          private int[] objectIDArray

      An array of Activity IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          private CfgActivity[] objectArray

      An array of `CfgActivity`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          private CfgActivityShort[] objectShortArray

      An array of `CfgActivityShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### activitySetInfoNSizeIs

          private int activitySetInfoNSizeIs

      Number of elements in activitySetInfo array

    - #### activitySetInfo

          private CfgActivitySetShort[] activitySetInfo

      An array containing short information of all Activity Sets that returned Activities belong to. Is returned only if request specifies provideActivitySetInfo = true

    - #### virtualActivityInfoNSizeIs

          private int virtualActivityInfoNSizeIs

      Number of elements in virtualActivityInfo array

    - #### virtualActivityInfo

          private CfgVirtualActivityShort[] virtualActivityInfo

      An array containing short information of all Mult-Site Activities that returned Activities belong to. Is returned only if request specifies provideVirtualActivityInfo = true

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when response information was returned

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgActivityHolder

          public CfgActivityHolder()

    - #### CfgActivityHolder

          public CfgActivityHolder(int objectIDArrayNSizeIs,
                           int[] objectIDArray,
                           int objectArrayNSizeIs,
                           CfgActivity[] objectArray,
                           int objectShortArrayNSizeIs,
                           CfgActivityShort[] objectShortArray,
                           int activitySetInfoNSizeIs,
                           CfgActivitySetShort[] activitySetInfo,
                           int virtualActivityInfoNSizeIs,
                           CfgVirtualActivityShort[] virtualActivityInfo,
                           long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgActivityHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgActivityHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgActivityHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgActivityHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgActivityHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgActivityHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgActivity[] getObjectArray()

      Gets the objectArray value for this CfgActivityHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgActivity[] objectArray)

      Sets the objectArray value for this CfgActivityHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgActivityHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgActivityHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgActivityShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgActivityHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgActivityShort[] objectShortArray)

      Sets the objectShortArray value for this CfgActivityHolder.
      Parameters:
        `objectShortArray` -

    - #### getActivitySetInfoNSizeIs

          public int getActivitySetInfoNSizeIs()

      Gets the activitySetInfoNSizeIs value for this CfgActivityHolder.
      Returns:
        activitySetInfoNSizeIs

    - #### setActivitySetInfoNSizeIs

          public void setActivitySetInfoNSizeIs(int activitySetInfoNSizeIs)

      Sets the activitySetInfoNSizeIs value for this CfgActivityHolder.
      Parameters:
        `activitySetInfoNSizeIs` -

    - #### getActivitySetInfo

          public CfgActivitySetShort[] getActivitySetInfo()

      Gets the activitySetInfo value for this CfgActivityHolder.
      Returns:
        activitySetInfo

    - #### setActivitySetInfo

          public void setActivitySetInfo(CfgActivitySetShort[] activitySetInfo)

      Sets the activitySetInfo value for this CfgActivityHolder.
      Parameters:
        `activitySetInfo` -

    - #### getVirtualActivityInfoNSizeIs

          public int getVirtualActivityInfoNSizeIs()

      Gets the virtualActivityInfoNSizeIs value for this CfgActivityHolder.
      Returns:
        virtualActivityInfoNSizeIs

    - #### setVirtualActivityInfoNSizeIs

          public void setVirtualActivityInfoNSizeIs(int virtualActivityInfoNSizeIs)

      Sets the virtualActivityInfoNSizeIs value for this CfgActivityHolder.
      Parameters:
        `virtualActivityInfoNSizeIs` -

    - #### getVirtualActivityInfo

          public CfgVirtualActivityShort[] getVirtualActivityInfo()

      Gets the virtualActivityInfo value for this CfgActivityHolder.
      Returns:
        virtualActivityInfo

    - #### setVirtualActivityInfo

          public void setVirtualActivityInfo(CfgVirtualActivityShort[] virtualActivityInfo)

      Sets the virtualActivityInfo value for this CfgActivityHolder.
      Parameters:
        `virtualActivityInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgActivityHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgActivityHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.